Skip to main content
GET
/
customers
/
{customer_id}
/
sepa-mandates
List all SEPA mandates
curl --request GET \
  --url https://commerce1.on-hellgate.dev/customers/{customer_id}/sepa-mandates \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "address": "<string>",
      "bic": "<string>",
      "city": "<string>",
      "country_code": "<string>",
      "iban": "<string>",
      "mandate_name": "<string>",
      "method": "<string>",
      "postal_code": "<string>",
      "reference": "<string>",
      "sequence_type": "<string>",
      "signed_on": "<string>",
      "status": "<string>",
      "token": "<string>"
    }
  ],
  "pagination": {
    "current_page": 123,
    "next_page": 123,
    "page_size": 123,
    "previous_page": 123,
    "total_items": 123,
    "total_pages": 123
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

customer_id
string
required

Customer ID

Query Parameters

page
integer

Page cursor for pagination

limit
integer

Maximum items per page

Response

Success

data
SepaMandateResponse · object[]
pagination
PaginationSchema · object